"""Parameters (not constants) that define Earth properties."""

#: Molecular weight of air, g/mol.
molecular_weight_air = 28.97

#: Radius of Earth, m
earth_radius = 6371000

#: Mass of Earth's atmosphere, kg.
mass_atmosphere = 5.1352e18

#: Length of a tropical year, s.
seconds_per_year = 60 * 60 * 24 * 365.24219
